View Issue Details

IDProjectCategoryView StatusLast Update
0037123LazarusDatabase Componentspublic2021-01-31 21:27
ReporterMarkus Müller Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 64OSDebian 
Product Version2.0.8 
Fixed in Version2.1 (SVN) 
Summary0037123: TDBMemo with Linux (GTK)
DescriptionType a text in the TDBMemo has curious effects on input a text, but only in Linux and GTK.

In Windows or Linux/QT5, it works right. I have macOs not tested.

With Suse (GTK) and RaspberryPi (GTK) works wrong, too.

See the german lazarus forum:
https://www.lazarusforum.de/viewtopic.php?f=17&t=12934
Steps To ReproduceThe connection is: TDBMemo -> TDatasource -> TMemDataset
The TMemDataset is active with one row data, the memo-field is empty, The TMemDataset is in state dsBrowse

Type a Text "Das" in the TDBMemo , then the result is:
1) Press "D" -> The TMemDataset change to state dsEdit, ->OK / "D" is showing but the cursor jump before "D" -> not OK
2) Press "a" -> "aD" is showing -> not OK.
3) Press "s" -> "asD" is showing ...
Additional InformationIn Attachment a Screen-Video how it works wrong and a demo project.

Thank you very much for fix this problem.
TagsNo tags attached.
Fixed in Revision64453
LazTarget2.2
WidgetsetGTK
Attached Files

Relationships

related to 0032630 closedJuha Manninen [patch] Gtk2 TEdit/TMemo: fix text selection, make OnChange event compatible with LCL-Win32 

Activities

Markus Müller

2020-05-20 20:56

reporter  

TestTDBMemo.zip (128,465 bytes)

Andi Friess

2020-05-21 12:33

reporter   ~0122978

Debian Buster
Lazarus 2.0.9 r63185M FPC 3.2.0 x86_64-linux-qt5 works as expected

Lazarus 2.0.9 r63185M FPC 3.2.0 x86_64-linux-gtk is not working as expected

Jesus Reyes

2020-06-09 06:18

developer   ~0123349

Last edited: 2020-06-09 06:20

View 2 revisions

A little feedback: the problem can be fixed by commenting the first two lines of procedure TGtk2MemoStrings.SetTextStr in the file gt2memostrings.inc. Those lines were added for fixing a number of bugs and the bug report included a nice test suite which unfortunately fails a test if the two lines are removed, so this is still work in progress.

Jesus Reyes

2021-01-31 21:27

developer   ~0128715

fixed, please test.

Issue History

Date Modified Username Field Change
2020-05-20 20:56 Markus Müller New Issue
2020-05-20 20:56 Markus Müller File Added: 2020-05-18 17-17-25.mp4
2020-05-20 20:56 Markus Müller File Added: TestTDBMemo.zip
2020-05-21 12:33 Andi Friess Note Added: 0122978
2020-05-26 19:27 Jesus Reyes Assigned To => Jesus Reyes
2020-05-26 19:27 Jesus Reyes Status new => assigned
2020-06-09 06:18 Jesus Reyes Note Added: 0123349
2020-06-09 06:20 Jesus Reyes Note Edited: 0123349 View Revisions
2020-06-09 06:30 Jesus Reyes Relationship added related to 0032630
2021-01-31 21:27 Jesus Reyes Status assigned => resolved
2021-01-31 21:27 Jesus Reyes Resolution open => fixed
2021-01-31 21:27 Jesus Reyes Fixed in Version => 2.1 (SVN)
2021-01-31 21:27 Jesus Reyes Fixed in Revision => 64453
2021-01-31 21:27 Jesus Reyes LazTarget => 2.2
2021-01-31 21:27 Jesus Reyes Widgetset GTK => GTK
2021-01-31 21:27 Jesus Reyes Note Added: 0128715